package de.intevation.gnv.statistics;

import java.util.Collection;
import java.util.ArrayList;

import org.apache.log4j.Logger;

import de.intevation.gnv.state.describedata.KeyValueDescibeData;

import de.intevation.gnv.statistics.exception.StatisticsException;

import de.intevation.gnv.math.AttributedXYColumns;

/**
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 */
public class VerticalCrossSectionStatistics
extends      AbstractStatistics
{
    private static Logger log = Logger.getLogger(
        VerticalCrossSectionStatistics.class);

    public VerticalCrossSectionStatistics() {
    }

    public Collection<StatisticSet> calculateStatistics(
         Object                          result,
         Collection<KeyValueDescibeData> parameters,
         Collection<KeyValueDescibeData> measurements,
         Collection<KeyValueDescibeData> dates
    )
    throws StatisticsException {

        boolean debug = log.isDebugEnabled();

        if (debug) {
            log.debug("calculateStatistics --------------");
        }

        ArrayList<StatisticSet> statisticSet =
            new ArrayList<StatisticSet>();

        if (!(result instanceof AttributedXYColumns)) {
            log.error("wrong type of result");
            return statisticSet;
        }
        AttributedXYColumns columns = (AttributedXYColumns)result;

        return statisticSet;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
